TauP_Curve (TauP 2.6.1 API)
Description: declaration: package: edu.sc.seis.TauP, class: TauP_Curve

Package edu.sc.seis.TauP

# Class TauP_Curve

java.lang.Object
edu.sc.seis.TauP.TauP_Tool
edu.sc.seis.TauP.TauP_Time
edu.sc.seis.TauP.TauP_Curve

    public class TauP_Curve
    extends TauP_Time

Calculates travel time curves at known slowness samples.

- ## Field Summary

  Fields
  Modifier and Type | Field | Description
  --- | --- | ---
  `protected boolean` | `gmtScript` | should the output file be a compete script?
  `protected float` | `mapWidth` |
  `protected java.lang.String` | `mapWidthUnit` |
  `protected boolean` | `reduceTime` | should the output times use a reducing velocity?
  `protected double` | `reduceVel` | the reducing velocity to use if reduceTime == true, in units of radians/second .
  `protected java.lang.String` | `redVelString` |

  ### Fields inherited from class edu.sc.seis.TauP.TauP_Time

  `arrivals, azimuth, backAzimuth, degrees, depth, distKilometers, eventLat, eventLon, GUI, modelName, onlyPrintRayP, onlyPrintTime, phaseNames, receiverDepth, relativeArrival, relativePhaseName, stationLat, stationLon, takeoffAngle, tMod, tModDepth`

  ### Fields inherited from class edu.sc.seis.TauP.TauP_Tool

  `DEBUG, expert, GMT, JSON, outFileBase, outForms, outputFormat, SVG, TEXT, toolProps, verbose, writer`

- ## Constructor Summary

  Constructors
  Modifier | Constructor | Description
  --- | --- | ---
  `protected` | `TauP_Curve()` |
  `` | `TauP_Curve​(TauModel tMod)` |
  `` | `TauP_Curve​(java.lang.String modelName)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `double[]` | `calcPlotValue​(double distRadian, double time, java.util.List<SeismicPhase> relPhase)` |
  `protected double[]` | `calcTimeValue​(double distRadian, double time, java.util.List<SeismicPhase> relPhase)` |
  `void` | `calculate​(double degrees)` |
  `protected void` | `checkBoundary​(double boundaryDistRadian, int distIndex, SeismicPhase phase, java.util.List<SeismicPhase> relPhase, java.io.PrintWriter out)` |
  `void` | `destroy()` |
  `float` | `getMapWidth()` | Gets the gmt map width to be used with the output script and for creating the circles for each discontinuity.
  `java.lang.String` | `getMapWidthUnit()` |
  `java.lang.String` | `getOutFileExtension()` |
  `double` | `getReduceVelDeg()` |
  `double` | `getReduceVelKm()` |
  `static boolean` | `isBetween​(double a, double b, double value)` |
  `boolean` | `isGmtScript()` |
  `boolean` | `isReduceTime()` |
  `static void` | `main​(java.lang.String[] args)` | Allows TauP_Curve to run as an application.
  `java.lang.String[]` | `parseCmdLineArgs​(java.lang.String[] args)` |
  `void` | `printResult​(java.io.PrintWriter out)` |
  `void` | `printScriptBeginning​(java.io.PrintWriter out)` | a noop that allows overriding classes to print things before results are calculated.
  `void` | `printStdUsage()` | Prints the command line arguments common to all TauP tools.
  `void` | `printUsage()` |
  `void` | `setGmtScript​(boolean gmtScript)` |
  `void` | `setMapWidth​(float mapWidth)` | Sets the gmt map width to be used with the output script and for creating the circles for each discontinuity.
  `void` | `setMapWidthUnit​(java.lang.String mapWidthUnit)` |
  `void` | `setReduceTime​(boolean reduceTime)` |
  `void` | `setReduceVelDeg​(double reduceVel)` | set the reducing velocity, in degrees/second.
  `void` | `setReduceVelKm​(double reduceVel)` | set the reducing velocity, in kilometers/second.
  `void` | `start()` |
  `void` | `writeValue​(double distRadian, double time, java.util.List<SeismicPhase> relPhase, java.io.PrintWriter out)` |

  ### Methods inherited from class edu.sc.seis.TauP.TauP_Time

  `appendPhaseName, appendPhaseName, calcTakeoff, calcTime, clearArrivals, clearPhaseNames, clearPhases, depthCorrect, depthCorrect, getArrival, getArrivals, getDisconDepths, getNumArrivals, getNumPhases, getPhaseNames, getPhaseNames, getPhaseNameString, getReceiverDepth, getSeismicPhases, getSourceDepth, getTauModel, getTauModelDepthCorrected, getTauModelName, init, linearInterp, loadTauModel, parseDegreeList, parsePhaseList, printHelp, printResultJSON, printResultText, printStdUsageHead, readPhaseFile, readTauModel, recalcPhases, setPhaseNames, setPhaseNames, setReceiverDepth, setSourceDepth, setTauModel, sortArrivals`

  ### Methods inherited from class edu.sc.seis.TauP.TauP_Tool

  `dashEquals, endGmtAndCleanUp, getOutFile, getOutFileBase, getOutputFormat, getWriter, parseCommonCmdLineArgs, printNoComprendoArgs, printStdUsageHead, printStdUsageTail, setOutFileBase, setOutFileExtension, setOutputFormat, setWriter, toolNameFromClass`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### gmtScript

    protected boolean gmtScript
    should the output file be a compete script?

  - ### reduceTime

    protected boolean reduceTime
    should the output times use a reducing velocity?

  - ### reduceVel

    protected double reduceVel
    the reducing velocity to use if reduceTime == true, in units of radians/second .

  - ### redVelString

    protected java.lang.String redVelString

  - ### mapWidth

    protected float mapWidth

  - ### mapWidthUnit

    protected java.lang.String mapWidthUnit

- ## Constructor Details

  - ### TauP_Curve

    protected TauP_Curve()

  - ### TauP_Curve

    public TauP_Curve​(TauModel tMod) throws TauModelException
    Throws:
      `TauModelException`

  - ### TauP_Curve

    public TauP_Curve​(java.lang.String modelName) throws TauModelException
    Throws:
      `TauModelException`

- ## Method Details

  - ### getOutFileExtension

    public java.lang.String getOutFileExtension()
    Overrides:
      `getOutFileExtension` in class `TauP_Tool`

  - ### isGmtScript

    public boolean isGmtScript()

  - ### setGmtScript

    public void setGmtScript​(boolean gmtScript)

  - ### isReduceTime

    public boolean isReduceTime()

  - ### setReduceTime

    public void setReduceTime​(boolean reduceTime)

  - ### getReduceVelDeg

    public double getReduceVelDeg()
    Returns:
      reducing velocity in degrees/second. The internal usage is radians/second.

  - ### setReduceVelDeg

    public void setReduceVelDeg​(double reduceVel)
    set the reducing velocity, in degrees/second. The internal representation is radians/second.

  - ### getReduceVelKm

    public double getReduceVelKm()
    Returns:
      reducing velocity in kilometers/second. The internal usage is radians/second.

  - ### setReduceVelKm

    public void setReduceVelKm​(double reduceVel)
    set the reducing velocity, in kilometers/second. The internal representation is radians/second.

  - ### setMapWidth

    public void setMapWidth​(float mapWidth)
    Sets the gmt map width to be used with the output script and for creating the circles for each discontinuity. Default is 6 inches.

  - ### getMapWidth

    public float getMapWidth()
    Gets the gmt map width to be used with the output script and for creating the circles for each discontinuity.

  - ### getMapWidthUnit

    public java.lang.String getMapWidthUnit()

  - ### setMapWidthUnit

    public void setMapWidthUnit​(java.lang.String mapWidthUnit)

  - ### calculate

    public void calculate​(double degrees) throws TauModelException
    Overrides:
      `calculate` in class `TauP_Time`
    Throws:
      `TauModelException`

  - ### printScriptBeginning

    public void printScriptBeginning​(java.io.PrintWriter out) throws java.io.IOException
    Description copied from class: `TauP_Tool`
    a noop that allows overriding classes to print things before results are calculated. For example to set up GMT commands before drawing paths.
    Overrides:
      `printScriptBeginning` in class `TauP_Tool`
    Throws:
      `java.io.IOException`

  - ### printStdUsage

    public void printStdUsage()
    Description copied from class: `TauP_Time`
    Prints the command line arguments common to all TauP tools.
    Overrides:
      `printStdUsage` in class `TauP_Time`

  - ### printUsage

    public void printUsage()
    Overrides:
      `printUsage` in class `TauP_Time`

  - ### start

    public void start() throws java.io.IOException, TauModelException
    Overrides:
      `start` in class `TauP_Time`
    Throws:
      `java.io.IOException`
      `TauModelException`

  - ### destroy

    public void destroy() throws TauPException
    Overrides:
      `destroy` in class `TauP_Time`
    Throws:
      `TauPException`

  - ### printResult

    public void printResult​(java.io.PrintWriter out) throws java.io.IOException
    Overrides:
      `printResult` in class `TauP_Time`
    Throws:
      `java.io.IOException`

  - ### checkBoundary

    protected void checkBoundary​(double boundaryDistRadian, int distIndex, SeismicPhase phase, java.util.List<SeismicPhase> relPhase, java.io.PrintWriter out) throws java.io.IOException
    Throws:
      `java.io.IOException`

  - ### calcTimeValue

    protected double[] calcTimeValue​(double distRadian, double time, java.util.List<SeismicPhase> relPhase) throws java.io.IOException
    Throws:
      `java.io.IOException`

  - ### calcPlotValue

    public double[] calcPlotValue​(double distRadian, double time, java.util.List<SeismicPhase> relPhase) throws java.io.IOException
    Throws:
      `java.io.IOException`

  - ### writeValue

    public void writeValue​(double distRadian, double time, java.util.List<SeismicPhase> relPhase, java.io.PrintWriter out) throws java.io.IOException
    Throws:
      `java.io.IOException`

  - ### isBetween

    public static final boolean isBetween​(double a, double b, double value)

  - ### parseCmdLineArgs

    public java.lang.String[] parseCmdLineArgs​(java.lang.String[] args) throws java.io.IOException
    Overrides:
      `parseCmdLineArgs` in class `TauP_Time`
    Throws:
      `java.io.IOException`

  - ### main

    public static void main​(java.lang.String[] args) throws java.io.IOException
    Allows TauP_Curve to run as an application. Creates an instance of TauP_Curve. ToolRun.main should be used instead.
    Throws:
      `java.io.IOException`